package SeMeet::Schema::Result::Record;

use strict;
use warnings;

use base 'DBIx::Class::Core';

our $VERSION = 1;

__PACKAGE__->table('records');

__PACKAGE__->add_columns(
    id => {
        data_type         => 'integer',
        is_auto_increment => 1,
        is_nullable       => 0,
        sequence          => 'uid_seq'
    },
    qw(
        uuid
        meet_id
        deleted
        recorded
        description
        file
    ),
);

__PACKAGE__->set_primary_key('id');

__PACKAGE__->add_unique_constraint(
    'uuid' => [qw(uuid)]
);

__PACKAGE__->belongs_to(
    meet => 'SeMeet::Schema::Result::Meet',
    {
        'foreign.id' => 'self.meet_id',
    },
);


1;

